﻿using C1.Win.C1FlexGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace C1ContainerSplite
{
	public partial class Form2 : Form
	{
		public int oldwid = 1;
		public int newwid = 1;
		public int tempwid = 1;
		public Form2()
		{
			InitializeComponent();
		}

		private void Form2_Load(object sender, EventArgs e)
		{
			c1FlexGrid1.Cols.Count =6;
			Column col = c1FlexGrid1.Cols[1];

			col.Name = col.Caption = "Unbound";
			col.DataType = typeof(Boolean);
			for (int i = 1; i < c1FlexGrid1.Rows.Count; i++)
			{
				c1FlexGrid1[i, 1] = true;
			}
			c1FlexGrid1.DataSource = Init();
			c1FlexGrid1.Cols[2].Format = "P0";
			c1FlexGrid1.Cols[2].DataType = typeof(double);
			//c1FlexGrid1.Styles.EmptyArea.Border.Color = Color.White;
			oldwid = this.Width;
			Console.WriteLine("放大前的宽度" + this.Width + "\n");
			//c1FlexGrid1.ExtendLastCol = true;
			// add unbound column
			
			//col.Editor = new CheckBox();
		}
		public IList<ProductsT> Init()
		{
			IList<ProductsT> Lists = new List<ProductsT>();
			ProductsT term1 = new ProductsT("刷卡机多福多寿咖啡店是", 0.2, 34, 8, 123);
			Lists.Add(term1);
			ProductsT term2 = new ProductsT("水电费水电费是的", 0.2, 21, 7, 83);
			Lists.Add(term2);
			ProductsT term3 = new ProductsT("发的发生过", null, 0.2, 6, 178);
			Lists.Add(term3);
			ProductsT term4 = new ProductsT("交话费的萨芬好数据", 0.2, 43, 9, 101);
			Lists.Add(term4);
			ProductsT term5 = new ProductsT("是否单身佛挡杀佛都是废话好的哈", 0.2, 24, 10, 223);
			Lists.Add(term5);
			return Lists;
		}

		private void c1FlexGrid1_SizeChanged(object sender, EventArgs e)
		{
			double compare = 1;
			newwid = this.Width;
			Console.WriteLine(oldwid + ":" + newwid + "\n");
			if (tempwid != 1)
				compare = Math.Round((1.0 * tempwid / newwid), 3);
			else
				compare = Math.Round((1.0 * oldwid / newwid), 3);

			foreach (Column item in c1FlexGrid1.Cols)
			{
				item.Width = (int)Math.Round((1.0 * item.WidthDisplay / compare), 0);
			}
			//c1FlexGrid1.ExtendLastCol = true;
			tempwid = newwid;
		}
	}


	/// <summary>
	/// 商品集合表
	/// </summary>
	public class ProductsT
	{
		public ProductsT(string _name, double? _price, double _sale, double _cost, double _pvalue)
		{
			ProductName = _name;
			Price = _price;
			Sales = _sale;
			Cost = _cost;
			PValues = _pvalue;
		}
		public string ProductName { get; set; }
		public double? Price { get; set; }
		public double? Sales { get; set; }
		public double? Cost { get; set; }
		public double? PValues { get; set; }
	}
}
